JBoss API: Class UserTransactionSessionFactoryImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.usertx.server
Class UserTransactionSessionFactoryImpl

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject
            |
            +--java.rmi.server.RemoteServer
                  |
                  +--java.rmi.server.UnicastRemoteObject
                        |
                        +--org.jboss.tm.usertx.server.UserTransactionSessionFactoryImpl

All Implemented Interfaces:
  java.rmi.Remote, java.io.Serializable, UserTransactionSessionFactory

public class UserTransactionSessionFactoryImpl
extends java.rmi.server.UnicastRemoteObject
implements UserTransactionSessionFactory

The RMI remote UserTransaction session factory implementation.

See Also:
  Serialized Form

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`UserTransactionSessionFactoryImpl()` A no-args constructor that throws `RemoteException`.

Method Summary
`UserTransactionSession` | `newInstance()` Create and return a new session.

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserTransactionSessionFactoryImpl

    public UserTransactionSessionFactoryImpl()
                                      throws java.rmi.RemoteException

  A no-args constructor that throws `RemoteException`.

Method Detail

### newInstance

    public UserTransactionSession newInstance()
                                       throws java.rmi.RemoteException

  Create and return a new session.
  Specified by:
    `newInstance` in interface `UserTransactionSessionFactory`
  Returns:
    A new user transaction session.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.